<template>
	<v-container id="profile">
		<v-row>
			<person-details
				:personId="id"
				@change-wanted-state="changeWantedState"
				bgColor="#5e8b7e"
				:wantedButtonStatus="wantedButton"
			></person-details>
		</v-row>
		<v-row class="mt-3" justify="center">
			<v-col cols="2" class="mx-14">
				<HeatMap :personId="id" class="mb-5"></HeatMap>
				<titled-info
					bgColor="#5e8b7e"
					amountColor="#f6a9fc"
					:amount="posts"
					title="מספר פוסטים בשבוע אחרון"
				></titled-info>
			</v-col>
			<v-col cols="3" class="">
				<driver-license class="bg" :personId="id"></driver-license>
			</v-col>
			<v-col cols="4" class="mx-14">
				<reports :personId="id"></reports>
			</v-col>
			<v-col cols="2"> </v-col>
		</v-row>
	</v-container>
</template>

<script>
import PersonDetails from '../components/PersonDetails.vue';
import TitledInfo from '../components/TitledInfo.vue';
import Reports from '../components/reports.vue';
import driverLicense from '../components/driverLicense.vue';
import HeatMap from './HeatMap.vue';
import api from '../api';

export default {
	name: 'ProfilePage',
	components: {
		PersonDetails,
		TitledInfo,
		Reports,
		driverLicense,
		HeatMap,
	},
	methods: {
		changeWantedState: function() {
			this.person.wanted = !this.person.wanted;
		},
	},
	async mounted() {
		const response = await api.profile().getNumOfPostsById(this.id);
		this.posts = response.data;
	},
	data() {
		return {
			posts: 0,
			wantedButton: true,
		};
	},
	props: {
		id: {
			type: String,
			required: true,
		},
	},
};
</script>

<style scoped>
.row {
	padding: 10px;
}
#profile {
	direction: ltr;
}
</style>
